Bug 812404

Summary: JDG shows EAP6 child resources
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: No ComponentAssignee: Heiko W. Rupp <hrupp>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 3.0.0CC: dasimmon, hbrock, hrupp
Target Milestone: ---   
Target Release: RHQ 4.4.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 811245 Environment:
Last Closed: 2013-09-01 06:11:48 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 811245    
Bug Blocks: 707223    

Description Charles Crouch 2012-04-13 11:43:43 EDT
+++ This bug was initially created as a clone of Bug #811245 +++

Description of problem:
I have an EAP6 instance and a JDG standalone instance running.  My agent inventoried my EAP6 instance and when it inventoried the JDG instance, the dashboard shows the JDG instance with the child resources of EAP6 (database pools, JMS, etc) - just that those resources are unavailable.

Version-Release number of selected component (if applicable):
JON plugin-pack tech preview 3.0.1
JON 3
JDG beta (with plugin)


How reproducible:
Verifiable in an environment with EAP6 and JDG running, the issue can be seen in the JON dashboard.

Steps to Reproduce:
1) Install JON 3.0.1 tech preview for EAP 6 plugins
2) Install JDG plugin
3) Startup agent
4) Startup EAP6
5) Verify  EAP6 is inventoried
6) Shutdown EAP6 instance
7) Startup JDG standalone
8) Verify JDG is inventoried
9) In JON browser, expand inventoried JDG instance, not its child resources

Note that I have actually seen it where the status of the EAP6 instance will show up for the status of the JDG instance (available / down) and vice versa.
  
Actual results:
JDG shows child resources that it shouldn't

Expected results:
JDG should only show its relevant resources

Additional info:
Browser was chrome

--- Additional comment from ccrouch@redhat.com on 2012-04-13 11:33:52 EDT ---

Unlinking from RHQ tracker
Comment 1 Heiko W. Rupp 2012-04-13 11:46:12 EDT
 Extend the current  DOMAIN vs STANDALONE check to also include product-name and product version
Comment 2 Heiko W. Rupp 2012-04-17 03:34:22 EDT
I think only the product name should be checked, but not necessarily the version as the latter would report servers after server upgrade as faulty.
Comment 3 Heiko W. Rupp 2012-04-17 06:30:52 EDT
master a040302

When e.g. an EAP is in inventory and this is stopped and a AS7 on the same port and same run mode (standalone/domain) is started, we now detect this in the base server resource (standalone server / host controller) and throw a InvalidPluginConfigException, which is shown in the UI as yellow triangle.
Comment 4 Heiko W. Rupp 2013-09-01 06:11:48 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.